Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::IndexRange Class Reference

Range approximation of which positions have changed. More...

`#include <extensional.hh>`

## Public Member Functions

| IndexRange (void)
| Initialize range as empty.
void | reset (void)
| Reset range to be empty.
void | add (int i)
| Add index i to range.
void | add (const IndexRange &ir)
| Add index range ir to range.
void | lshift (int n)
| Shift index range by n elements to the left.
bool | empty (void) const
| Test whether range is empty.
int | fst (void) const
| Return first position.
int | lst (void) const
| Return last position.

## Detailed Description

template<class View, class Val, class Degree, class StateIdx>
class Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::IndexRange

Range approximation of which positions have changed.

Definition at line 131 of file extensional.hh.

## Constructor & Destructor Documentation

## IndexRange()

template<class View, class Val, class Degree, class StateIdx>

Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::IndexRange::IndexRange | ( | void |  | ) |

inline

Initialize range as empty.

Definition at line 176 of file layered-graph.hpp.

## Member Function Documentation

## reset()

template<class View, class Val, class Degree, class StateIdx>

void Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::IndexRange::reset | ( | void |  | ) |

inline

Reset range to be empty.

Definition at line 180 of file layered-graph.hpp.

## add() [1/2]

template<class View, class Val, class Degree, class StateIdx>

void Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::IndexRange::add | ( | int | i | ) |

inline

Add index i to range.

Definition at line 185 of file layered-graph.hpp.

## add() [2/2]

template<class View, class Val, class Degree, class StateIdx>

void Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::IndexRange::add | ( | const IndexRange & | ir | ) |

Add index range ir to range.

## lshift()

template<class View, class Val, class Degree, class StateIdx>

void Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::IndexRange::lshift | ( | int | n | ) |

inline

Shift index range by n elements to the left.

Definition at line 201 of file layered-graph.hpp.

## empty()

template<class View, class Val, class Degree, class StateIdx>

bool Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::IndexRange::empty | ( | void |  | ) | const

inline

Test whether range is empty.

Definition at line 196 of file layered-graph.hpp.

## fst()

template<class View, class Val, class Degree, class StateIdx>

int Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::IndexRange::fst | ( | void |  | ) | const

inline

Return first position.

Definition at line 213 of file layered-graph.hpp.

## lst()

template<class View, class Val, class Degree, class StateIdx>

int Gecode::Int::Extensional::LayeredGraph< View, Val, Degree, StateIdx >::IndexRange::lst | ( | void |  | ) | const

inline

Return last position.

Definition at line 218 of file layered-graph.hpp.

The documentation for this class was generated from the following files:

- gecode/int/extensional.hh
- gecode/int/extensional/layered-graph.hpp